Hello,

I am finding it hard to install zope.viewlet package via buildout. Here
is my buildout configuration snippet

        [zopeextras]
        recipe = zc.recipe.egg
        eggs = zope.catalog
               zope.viewlet
        
        [app]
        recipe = zc.recipe.egg
        eggs = testbb
               z3c.evalexception>=2.0
               Paste
               PasteScript
               PasteDeploy
               ${zopeextras:eggs}
        interpreter = bbpy

        ...
        
I get the following error while running buildout

        Getting distribution for 'zope.viewlet==3.7.2'.
        install_dir /home/joshua/mudpit/testbb/eggs/tmpv7F8Bd
        error: None
        An error occured when trying to install zope.viewlet 3.7.2. Look
        above this message for any errors that were output by
        easy_install.
        While:
          Installing zopeextras.
          Getting distribution for 'zope.viewlet==3.7.2'.
        Error: Couldn't install: zope.viewlet 3.7.2
        
To check, I tried doing the 'easy_install' to a virtualenv set folder.
zope.viewlet package along with its dependencies got installed even
though I got the following error with RestrictedPython-3.6.0 package

        Processing RestrictedPython-3.6.0.zip
        Running RestrictedPython-3.6.0/setup.py -q bdist_egg
        --dist-dir 
/tmp/easy_install-pNkln2/RestrictedPython-3.6.0/egg-dist-tmp-UpguQT
        SyntaxError: ('invalid syntax',
        
('build/bdist.linux-x86_64/egg/RestrictedPython/tests/before_and_after27.py', 
30, 17, '    x = {y: y for y in whatever if y}\n'))
        
        SyntaxError: ('invalid syntax',
        
('build/bdist.linux-x86_64/egg/RestrictedPython/tests/security_in_syntax27.py', 
6, 13, '    {y: y for _restricted_name in x}\n'))
        
        SyntaxError: ('invalid syntax',
        
('/tmp/test2/lib/python2.6/site-packages/RestrictedPython-3.6.0-py2.6.egg/RestrictedPython/tests/before_and_after27.py',
 30, 17, '    x = {y: y for y in whatever if y}\n'))
        
        SyntaxError: ('invalid syntax',
        
('/tmp/test2/lib/python2.6/site-packages/RestrictedPython-3.6.0-py2.6.egg/RestrictedPython/tests/security_in_syntax27.py',
 6, 13, '    {y: y for _restricted_name in x}\n'))
        
        Adding RestrictedPython 3.6.0 to easy-install.pth file
        
        Installed 
/tmp/test2/lib/python2.6/site-packages/RestrictedPython-3.6.0-py2.6.egg
        Finished processing dependencies for zope.viewlet
        
I googled to find the solution for this but I couldn't find one. Can
someone tell me where I am wrong?

Thanks

-- 
Joshua Immanuel
HiPro IT Solutions Private Limited
http://hipro.co.in

Attachment: signature.asc
Description: This is a digitally signed message part

_______________________________________________
Zope-Dev maillist  -  Zope-Dev@zope.org
https://mail.zope.org/mailman/listinfo/zope-dev
**  No cross posts or HTML encoding!  **
(Related lists - 
 https://mail.zope.org/mailman/listinfo/zope-announce
 https://mail.zope.org/mailman/listinfo/zope )

Reply via email to